import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;

public class KeyEventTest extends JFrame implements KeyListener {

	private JPanel panel = new JPanel(new GridLayout(0, 2));
	private JLabel label = new JLabel("ڸ ԷϽÿ: ");
	private JTextField field = new JTextField(10);
	private JTextArea area = new JTextArea(3, 30);
	
	public KeyEventTest() {
		panel.add(label);
		panel.add(field);
		add(panel, BorderLayout.NORTH);
		add(area, BorderLayout.CENTER);
		field.addKeyListener(this);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setTitle("KeyEventTest");
		setSize(400, 200);
		setVisible(true);
	}

	@Override
	public void keyPressed(KeyEvent e) {
		display(e, "Key Pressed  ");

	}

	@Override
	public void keyReleased(KeyEvent e) {
		display(e, "Key Typed ");

	}

	@Override
	public void keyTyped(KeyEvent e) {
		display(e, "Key Released  ");

	}

	protected void display(KeyEvent e, String s) {
		char c = e.getKeyChar();
		int keyCode = e.getKeyCode();
		String modifiers = "Alt: " + e.isAltDown() + "Ctrl: "
				+ e.isControlDown() + "Shift: " + e.isShiftDown();
		area.append("" + s + " " + c + "(ڵ: " + keyCode + ") " + modifiers
				+ "\n");
	}


	public static void main(String[] args) {
		new KeyEventTest(); 
	}
}
